Bug 63705 - undefined symbol: atexit
Summary: undefined symbol: atexit
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: glibc   
(Show other bugs)
Version: skipjack-beta2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-17 16:42 UTC by Need Real Name
Modified: 2016-11-24 15:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-18 15:41:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-04-17 16:42:54 UTC
Description of Problem:
Vmware workstation 3.1 and RealPlayer 8 both exit immediately with the following
error message:
 undefined symbol: atexit

Version-Release number of selected component (if applicable):


How Reproducible:
Simply try to run vmware or realplayer 8

Steps to Reproduce:
1. execute realplayer version 8
2. execute vmware 3.1
3. 

Actual Results:
/usr/lib/RealPlayer8/realplay: relocation error:
/usr/lib/RealPlayer8/Codecs/cook.so.6.0: undefined symbol: atexit

vmware: relocation error: vmware: undefined symbol: atexit

Expected Results:
RealPlayer Window to open.
Vmware window to open.

Additional Information:
If I revert back to glibc-2.2.5-30 I don't get the error.

Comment 1 Jakub Jelinek 2002-04-18 14:28:12 UTC
Fixed in glibc-2.2.5-32.

Comment 2 Need Real Name 2002-04-18 15:41:43 UTC
 rpm -qa | grep glibc
glibc-common-2.2.5-32
glibc-devel-2.2.5-32
glibc-kernheaders-2.4-7.13
glibc-2.2.5-32
joker:~
$ /usr/lib/RealPlayer8/realplay
/usr/lib/RealPlayer8/realplay: relocation error:
/usr/lib/RealPlayer8/Codecs/cook.so.6.0: undefined symbol: atexit
joker:~
$ vmware
vmware: relocation error: vmware: undefined symbol: atexit
joker:~

As you can see from above the problem "is not" fixed in glibc-2.2.5-32!

The problem "does not" exist in glibc-2.2.5-30

Comment 3 Jakub Jelinek 2002-04-18 15:43:46 UTC
Sorry, typo. Wanted to say fixed in 2.2.5-33+ (currently 2.2.5-34).


Note You need to log in before you can comment on or make changes to this bug.